/* strlen() but no use of a c-lib or stdio.h header file */

int lenstr (char *str)
{
 char *p=(char *)0;
 int i=0;
 if(str==(char *)0) { return (0); }
 p=str;
 while (*p)
 {
  i++;
  p++;
 }
 return (i);
}
